Module java.desktop
Package javax.print.attribute.standard

# Class MediaSize.NA

java.lang.Object
javax.print.attribute.standard.MediaSize.NA

Enclosing class:
  MediaSize

public static final class MediaSize.NA extends Object
Class `MediaSize.NA` includes `MediaSize` values for North American media.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MediaSize`
`LEGAL`
Specifies the North American legal size, 8.5 inches by 14 inches.
`static final MediaSize`
`LETTER`
Specifies the North American letter size, 8.5 inches by 11 inches.
`static final MediaSize`
`NA_10x13_ENVELOPE`
Specifies the North American 10 inch by 13 inch envelope size.
`static final MediaSize`
`NA_10x14_ENVELOPE`
Specifies the North American 10 inch by 14 inch envelope size.
`static final MediaSize`
`NA_10X15_ENVELOPE`
Specifies the North American 10 inch by 15 inch envelope size.
`static final MediaSize`
`NA_5X7`
Specifies the North American 5 inch by 7 inch paper.
`static final MediaSize`
`NA_6X9_ENVELOPE`
Specifies the North American 6 inch by 9 inch envelope size.
`static final MediaSize`
`NA_7X9_ENVELOPE`
Specifies the North American 7 inch by 9 inch envelope size.
`static final MediaSize`
`NA_8X10`
Specifies the North American 8 inch by 10 inch paper.
`static final MediaSize`
`NA_9x11_ENVELOPE`
Specifies the North American 9 inch by 11 inch envelope size.
`static final MediaSize`
`NA_9x12_ENVELOPE`
Specifies the North American 9 inch by 12 inch envelope size.
`static final MediaSize`
`NA_NUMBER_10_ENVELOPE`
Specifies the North American Number 10 business envelope size, 4.125 inches by 9.5 inches.
`static final MediaSize`
`NA_NUMBER_11_ENVELOPE`
Specifies the North American Number 11 business envelope size, 4.5 inches by 10.375 inches.
`static final MediaSize`
`NA_NUMBER_12_ENVELOPE`
Specifies the North American Number 12 business envelope size, 4.75 inches by 11 inches.
`static final MediaSize`
`NA_NUMBER_14_ENVELOPE`
Specifies the North American Number 14 business envelope size, 5 inches by 11.5 inches.
`static final MediaSize`
`NA_NUMBER_9_ENVELOPE`
Specifies the North American Number 9 business envelope size, 3.875 inches by 8.875 inches.

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LETTER

public static final MediaSize LETTER
Specifies the North American letter size, 8.5 inches by 11 inches.

### LEGAL

public static final MediaSize LEGAL
Specifies the North American legal size, 8.5 inches by 14 inches.

### NA_5X7

public static final MediaSize NA_5X7
Specifies the North American 5 inch by 7 inch paper.

### NA_8X10

public static final MediaSize NA_8X10
Specifies the North American 8 inch by 10 inch paper.

### NA_NUMBER_9_ENVELOPE

public static final MediaSize NA_NUMBER_9_ENVELOPE
Specifies the North American Number 9 business envelope size, 3.875 inches by 8.875 inches.

### NA_NUMBER_10_ENVELOPE

public static final MediaSize NA_NUMBER_10_ENVELOPE
Specifies the North American Number 10 business envelope size, 4.125 inches by 9.5 inches.

### NA_NUMBER_11_ENVELOPE

public static final MediaSize NA_NUMBER_11_ENVELOPE
Specifies the North American Number 11 business envelope size, 4.5 inches by 10.375 inches.

### NA_NUMBER_12_ENVELOPE

public static final MediaSize NA_NUMBER_12_ENVELOPE
Specifies the North American Number 12 business envelope size, 4.75 inches by 11 inches.

### NA_NUMBER_14_ENVELOPE

public static final MediaSize NA_NUMBER_14_ENVELOPE
Specifies the North American Number 14 business envelope size, 5 inches by 11.5 inches.

### NA_6X9_ENVELOPE

public static final MediaSize NA_6X9_ENVELOPE
Specifies the North American 6 inch by 9 inch envelope size.

### NA_7X9_ENVELOPE

public static final MediaSize NA_7X9_ENVELOPE
Specifies the North American 7 inch by 9 inch envelope size.

### NA_9x11_ENVELOPE

public static final MediaSize NA_9x11_ENVELOPE
Specifies the North American 9 inch by 11 inch envelope size.

### NA_9x12_ENVELOPE

public static final MediaSize NA_9x12_ENVELOPE
Specifies the North American 9 inch by 12 inch envelope size.

### NA_10x13_ENVELOPE

public static final MediaSize NA_10x13_ENVELOPE
Specifies the North American 10 inch by 13 inch envelope size.

### NA_10x14_ENVELOPE

public static final MediaSize NA_10x14_ENVELOPE
Specifies the North American 10 inch by 14 inch envelope size.

### NA_10X15_ENVELOPE

public static final MediaSize NA_10X15_ENVELOPE
Specifies the North American 10 inch by 15 inch envelope size.